<?php
/**
 * en_us language for the license module
 */
// Basics
$lang['LicenseModule.name'] = "License Module";
$lang['LicenseModule.description'] = "Used in conjunction with the License Manager plugin to issue and enforce software licenses.";
$lang['LicenseModule.module_row'] = "Product";
$lang['LicenseModule.module_row_plural'] = "Products";
$lang['LicenseModule.module_group'] = "Product Group";
$lang['LicenseModule.select_none'] = "-- None --";


// Module management
$lang['LicenseModule.add_module_row'] = "Add Product";
$lang['LicenseModule.manage.module_rows_title'] = "Products";
$lang['LicenseModule.manage.module_rows_empty'] = "There are no products.";
$lang['LicenseModule.manage.module_rows_heading.name'] = "Name";
$lang['LicenseModule.manage.module_rows_heading.options'] = "Options";
$lang['LicenseModule.manage.module_rows.edit'] = "Edit";
$lang['LicenseModule.manage.module_rows.delete'] = "Delete";
$lang['LicenseModule.manage.module_rows.confirm_delete'] = "Really delete this product? All services provisioned using this product will cease to function.";

$lang['LicenseModule.add_row.box_title'] = "Add License Product";
$lang['LicenseModule.add_row.validation_title'] = "Validation Options";
$lang['LicenseModule.add_row.basic_title'] = "Provisioning Options";
$lang['LicenseModule.add_row.name'] = "Name";
$lang['LicenseModule.add_row.label'] = "Label";
$lang['LicenseModule.add_row.license_method'] = "License Method";
$lang['LicenseModule.add_row.allow_reissue'] = "Allow Reissue";
$lang['LicenseModule.add_row.key_method'] = "License Key Method";
$lang['LicenseModule.add_row.key_format'] = "Key Format";
$lang['LicenseModule.add_row.key_length'] = "Key Length";
$lang['LicenseModule.add_row.key_pool'] = "Key Pool";
$lang['LicenseModule.add_row.instances'] = "Installed Instances";
$lang['LicenseModule.add_row.shared_secret'] = "Shared Secret";
$lang['LicenseModule.add_row.validate_fields'] = "Validate";
$lang['LicenseModule.add_row.validate_domain'] = "Domain Name";
$lang['LicenseModule.add_row.validate_ip'] = "IP Address";
$lang['LicenseModule.add_row.validate_path'] = "Directory Path";
$lang['LicenseModule.add_row.instance_package'] = "Additional Instances Package";
$lang['LicenseModule.add_row.support_packages'] = "Support and Updates Packages";
$lang['LicenseModule.add_row.support_term'] = "Included Support and Updates";
$lang['LicenseModule.add_row.add_btn'] = "Add Product";

$lang['LicenseModule.edit_row.box_title'] = "Update License Product";
$lang['LicenseModule.edit_row.validation_title'] = "Validation Options";
$lang['LicenseModule.edit_row.basic_title'] = "Provisioning Options";
$lang['LicenseModule.edit_row.name'] = "Name";
$lang['LicenseModule.edit_row.label'] = "Label";
$lang['LicenseModule.edit_row.license_method'] = "License Method";
$lang['LicenseModule.edit_row.allow_reissue'] = "Allow Reissue";
$lang['LicenseModule.edit_row.key_method'] = "License Key Method";
$lang['LicenseModule.edit_row.key_format'] = "Key Format";
$lang['LicenseModule.edit_row.key_length'] = "Key Length";
$lang['LicenseModule.edit_row.key_pool'] = "Key Pool";
$lang['LicenseModule.edit_row.instances'] = "Installed Instances";
$lang['LicenseModule.edit_row.shared_secret'] = "Shared Secret";
$lang['LicenseModule.edit_row.validate_fields'] = "Validate";
$lang['LicenseModule.edit_row.validate_domain'] = "Domain Name";
$lang['LicenseModule.edit_row.validate_ip'] = "IP Address";
$lang['LicenseModule.edit_row.validate_path'] = "Directory Path";
$lang['LicenseModule.edit_row.instance_package'] = "Additional Instances Package";
$lang['LicenseModule.edit_row.support_packages'] = "Support and Updates Packages";
$lang['LicenseModule.edit_row.support_term'] = "Included Support and Updates";
$lang['LicenseModule.edit_row.add_btn'] = "Update Product";


$lang['LicenseModule.license_methods.default'] = "RSA Digital Signature";
$lang['LicenseModule.key_methods.auto'] = "Auto Generate";

// Service fields
$lang['LicenseModule.service_field.license_module_key'] = "License Key";
$lang['LicenseModule.service_field.statuses'] = "Options";
$lang['LicenseModule.service_field.statuses.reissue'] = "Reissue";

// Service Info
$lang['LicenseModule.service_info.version'] = "Version";
$lang['LicenseModule.service_info.domains'] = "Domains";
$lang['LicenseModule.service_info.ips'] = "IP Addresses";
$lang['LicenseModule.service_info.paths'] = "Install Paths";
$lang['LicenseModule.service_info.callhome'] = "Last Callhome";

// Tabs
$lang['LicenseModule.getClientTabs.tabManageLicense'] = "Manage License";
$lang['LicenseModule.tabManageLicense.title'] = "Options";
$lang['LicenseModule.tabManageLicense.license_module_status'] = "Reissue";
$lang['LicenseModule.tabManageLicense.tooltip_status'] = "Checking this box will allow this license to be installed at a different location and may be locked to that location once it is validated.";
$lang['LicenseModule.tabManageLicense.submit'] = "Save";

$lang['LicenseModule.getAdminTabs.tabLocations'] = "Valid Locations";
$lang['LicenseModule.tabLocations.license_module_ips'] = "IP Addresses";
$lang['LicenseModule.tabLocations.license_module_domains'] = "Domains";
$lang['LicenseModule.tabLocations.license_module_paths'] = "Server Paths";
$lang['LicenseModule.tabLocations.submit'] = "Save";

// Errors
$lang['LicenseModule.!error.license_module_key.not_unique'] = "A license key could not be generated for the service, no keys available.";
$lang['LicenseModule.!error.license_module_key.valid'] = "That license key is already in use.";
$lang['LicenseModule.!error.blesta_version.incompatible.4_6'] = "The current Blesta version is not compatible with this version of the license module.  Upgrade to version 4.6 or greater.";
?>