<?php

session_start();
require_once __DIR__ . '/lib/vendor/autoload.php';
require_once "blesta_api.php";

use Pdp\PublicSuffixListManager;
use Pdp\Parser;

// Obtain an instance of the parser
$pslManager = new PublicSuffixListManager();
$parser = new Parser($pslManager->getList());

//production
//$user = "admin";
//$key = "b01bbe3f522b46a1f41eb1c6ac77c4be";
//$url = "https://abantecartplus.com/clientarea/api/";

//development
$user = "handoyo";
$key = "31836ae69f6fff49d0dbe55bcdffb432";
$url = "https://abdev7.com/development/api/";

$api = new BlestaApi( $url, $user, $key );

$extension_name = $_POST['extension_name'];

$installation_full_url = $parser->parseUrl($_POST['domain']);
$installation_host = $installation_full_url->host;

$installation_url = $installation_host->registerableDomain;

if (!is_null($installation_url)) {
    $response = $api->get("license_keys.license_keys_list", "getInstallation", array(
        'installation_url' => $installation_url,
        'extension_name' => $extension_name
    ));

    $result = $response->response();
    $err = $response->errors();

    $information = json_decode(json_encode($result),true);

    $exist = false;

    foreach ($information as $info) {
        if (stripos($info['blesta_license_code'],'own-')!==false) {
            $exist = true;
        }
    }

    if ($result) {
        if ($exist) {
            echo 'false';
        } else {
            echo 'true';
        }
    } else {
        echo 'true';
    }
} else {
    echo 'true';
}