<?php
// Emails
Configure::set("LicenseKeys.install.emails", [
    [
        "action" => "LicenseKeys.service_added",
        "type" => "client",
        "plugin_dir" => "license_keys",
        "tags" => "{contact.first_name},{contact.last_name},{package.name},{package_email_html},{package_email_text}",
        "from" => "billing@mydomain.com",
        "from_name" => "Billing Department",
        "subject" => "WHY2 {package.name} Activated",
        "text" => "Hi {contact.first_name},

{package_email_html}

",
        "html" => "<p>Hi {contact.first_name},</p>

<p>{package_email_html}</p>
<p>Your license key can always be found within your AbanteCart Plus account dashboard.</p>"
    ],
    [
        "action" => "LicenseKeys.convert_license",
        "type" => "client",
        "plugin_dir" => "license_keys",
        "tags" => "{contact.first_name},{contact.last_name},{package.name},{package_email_html},{package_email_text}",
        "from" => "billing@mydomain.com",
        "from_name" => "Billing Department",
        "subject" => "WHY2 {package.name} License Converted",
        "text" => "Hi {contact.first_name},

{package_email_html}

Your existing license key cannot be used with the new .10 extension. Please replace your existing key with the new license key in the extension setting page. Please refer to our F.A.Q here: https://why2central.net/faqs/how-to-install-license-code for more information on how to install the license key. Your license key can always be found within your AbanteCart Plus account dashboard.

",
        "html" => "<p>Hi {contact.first_name},</p>

<p>{package_email_html}</p>
<p>Your existing license key cannot be used with the new .10 extension. Please replace your existing key with the new license key in the extension setting page. Please refer to our F.A.Q <a href='https://why2central.net/faqs/how-to-install-license-key/' target='_blank'>here</a> for more information on how to install the license key. Your license key can always be found within your AbanteCart Plus account dashboard.</p>"
    ],
]);