<?php
require_once "blesta_api.php";

//production
$user = "handoyo";
$key = "31836ae69f6fff49d0dbe55bcdffb432";
$url = "https://abdev7.com/development/api/";

$api = new BlestaApi($url, $user, $key);

$data = array();
if (isset($_POST)) {
    $data['username'] = $_POST['username'];
    $data['fname'] = $_POST['fname'];
    $data['lname'] = $_POST['lname'];
    $data['email'] = $_POST['email'];
    $data['password'] = $_POST['password'];
    $data['npassword'] = $_POST['npassword'];
    $data['email'] = $_POST['email'];
    $data['invoice'] = $_POST['invoice'];
    $data['product_id'] = $_POST['products'];
    $data['domain_name'] = $_POST['domain'];
    $data['raw_domain_name'] = $_POST['domain'];
    $data['version'] = str_replace('-','.',$_POST['version']);
    $search = array("https://", "http://");
    $replace = array("", "");
    $data['domain_name'] = str_replace($search, $replace, $data['domain_name']);
    $domains = explode('/', $data['domain_name']);
    $data['domain_name'] = $domains[0];
    $data['ip'] = gethostbyname($domains[0]);
    $data['version'] = str_replace('-', '.', $_POST['version']);
    $data['extension_name'] = $_POST['products'];

    $timezoneInfo = $api->get("companies", "getSetting", array(
        'company_id' => 1,
        'key' => 'timezone'
    ));

    $getTimeZoneResult = $timezoneInfo->response();
    $getTimeZoneErr = $timezoneInfo->errors();

    $timezone = $getTimeZoneResult->value;

    $server_timezone = date_default_timezone_get();

    $data['server_timezone'] = $server_timezone;
    $data['blesta_timezone'] = $timezone;

    $group = 'Extension Customers';

    $exist = $api->post("clients", "search", array(
        'query' => $_POST['email']
    ));

    $existResult = $exist->response();
    $existErr = $exist->errors();
    if ($existResult) {
        echo $data['email'] . ' is registered. Please choose another username.';
    } else {
        $response = $api->post("clients", "create", array(
            'vars' => array(
                'username' => $data['username'],
                'new_password' => $data['password'],
                'confirm_password' => $data['npassword'],
                //1 is general, 2 is extension customer
                'client_group_id' => '1',
                'status' => 'active',
                'first_name' => $data['fname'],
                'last_name' => $data['lname'],
                'email' => $data['email'],
                'company' => $_POST['company'],
                'state' => $_POST['state'],
                'country' => $_POST['country'],
                'settings' => array(
                    'default_currency' => 'USD',
                    'language' => 'en_us',
                    'username_type' => 'username',
                    'tax_id' => '',
                    'tax_exempt' => '',
                ),
                'send_registration_email' => 'true'
            )
        ));

        $result = $response->response();
        $err = $response->errors();

        if ($err) {
            echo $data['username'] . ' is taken. Please choose another username.';
            $admTo = 'yonghan79@gmail.com';
            $admSubject = "Error";
            $admHeaders = "From: Support Departement <support@abdev7.com>" . "\r\n";
            $admHeaders .= "Reply-To: support@abdev7.com" . "\r\n";
            $admHeaders .= "Return-Path: support@abdev7.com " . "\r\n";
            $admHeaders .= "MIME-Version: 1.0" . "\r\n";
            $admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
            mail($admTo, $admSubject, var_export($err, true), $admHeaders);
        } else {
            $client_id = $result->id;
            $client_id_code = $result->id_code;
            $license = '';

            $query = $api->get("packages", "search", array(
                'query' => $data['extension_name']
            ));
            $queryResult = $query->response();
            $queryErr = $query->errors();

            if (!$queryErr) {
                $package_name = $package_id = '';
                foreach ($queryResult as $packageResult) {
                    if (stripos($packageResult->name, ' License') !== false) {
                        $package_name = $packageResult->name;
                        $package_id = $packageResult->id;
                    }
                }

                $responseInfo = $api->get("packages", "get", array(
                    'package_id' => $package_id
                ));

                $infoResult = $responseInfo->response();
                $infoErr = $responseInfo->errors();
                $pricing_id = $infoResult->pricing[0]->id;

                $addLicenseProductData = array(
                    'vars' => array(
                        'pricing_id' => $pricing_id,
                        'client_id' => $client_id,
                        'override_price ' => 0,
                        'status' => 'active',
                        'use_module' => 'true',
                    ),
                    'packages' => array($package_id => $pricing_id)
                );

                $responseAddService = $api->post('services', 'add', $addLicenseProductData);
                $addServiceResult = $responseAddService->response();
                $addServiceErr = $responseAddService->errors();
                $service_id = $addServiceResult;
                if ($service_id) {
                    $getRenewalDate = $api->get("services", "get", array(
                        'service_id' => $service_id
                    ));

                    $getRenewalDateResult = $getRenewalDate->response();
                    $getRenewalDateErr = $getRenewalDate->errors();

                    $fields = $getRenewalDateResult->fields;

                    foreach ($fields as $field) {
                        if ($field->key !== 'license_module_key') {
                            continue;
                        }
                        $license = $field->value;
                    }

                    $createNote = $api->post("clients", "addNote", array(
                        'client_id' => $client_id,
                        'staff_id' => '',
                        'vars' => array(
                            'title' => $data['extension_name'] . ' license code is: ' . $license . ' and the URL is: ' . $_POST['domain'],
                            'description' => "License code is: " . $license . ".\r\nURL is: " . $_POST['domain'],
                            'stickied' => '1'
                        )
                    ));

                    $resultNote = $createNote->response();
                    $errNote = $createNote->errors();

                    $product_name = $data['extension_name'];
                    $html = '
			  <strong>IMPORTANT NOTE: We have sent you an email that contains the extension name, license code and the support expiration date. Please retain that email for your records. For immediate use in your extension you can copy the license code that is shown below. <br><br>
			   Your license code is: <br><br>'
                        . $license . '<br><br>
			   Extension name: <br><br>' . $product_name . '<br>';
                    $html .= '</strong>';
                    echo $html;
                } else {
                    echo 'The license cannot be issued! Please try again later.';
                    $admTo = 'yonghan79@gmail.com';
                    $admSubject = "Error during generating license code";
                    $admHeaders = "From: Support Departement <support@abdev7.com>" . "\r\n";
                    $admHeaders .= "Reply-To: support@abdev7.com" . "\r\n";
                    $admHeaders .= "Return-Path: support@abdev7.com " . "\r\n";
                    $admHeaders .= "MIME-Version: 1.0" . "\r\n";
                    $admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
                    mail($admTo, $admSubject, var_export($addServiceErr, true) . '<br>Domain name: ' . $data['domain_name'], $admHeaders);
                }
            }
        }
    }
}