# License Module

[![Build Status](https://travis-ci.org/blesta/module-license_module.svg?branch=master)](https://travis-ci.org/blesta/module-license_module) [![Coverage Status](https://coveralls.io/repos/github/blesta/module-license_module/badge.svg?branch=master)](https://coveralls.io/github/blesta/module-license_module?branch=master)

This License Module is a companion to the License Plugin, which is a paid plugin for license management and serves as the license server.

## Install the Module

1. You can install the module via composer:

    ```
    composer require blesta/license_module
    ```

2. OR upload the source code to a /components/modules/license_module/ directory within
your Blesta installation path.

    For example:

    ```
    /var/www/html/blesta/components/modules/license_module/
    ```

3. Log in to your admin Blesta account and navigate to
> Settings > Modules

4. Find the License Module module and click the "Install" button to install it

5. You're done!

### Blesta Compatibility

|Blesta Version|Module Version|
|--------------|--------------|
|< v4.6.0|v1.6.0|
|>= v4.6.0|v1.7.0|
|>= v4.9.0|v1.8.0+|
