/**
 * License Key jQuery extension
 *
 * @copyright Copyright (c) 2016, Phillips Data, Inc.
 * @license http://www.blesta.com/license/ The Blesta License Agreement
 * @link http://www.blesta.com/ Blesta
 */
(function($) {

  $(document).ready(function() {
    $(this).LicenseKeysBindWysiwyg();
  });

  $.fn.extend({
    /**
     * Makes the WYSIWYG available to the view
     */
    LicenseKeysBindWysiwyg: function() {
      var options = {};

      if ($('#html').length) {
        // Set the language for the WYSIWYG
        var language = $('#html').data('language');
        if (language && language.length) {
          options.language = language;
        }

        $('#html').blestaBindWysiwygEditor(options);
      }
    }
  });
})(jQuery);
