<?php
echo $this->Html->ifSet($message);

$this->Widget->clear();

$this->Widget->create($this->_('AdminClients.index.boxtitle_browselist', true), ['id' => 'admin_main'], $this->Html->ifSet($render_section, null));

if ($this->Html->ifSet($infos, false) && ($num_clients = count($infos)) > 0) {
	?>
	<table class="table">
		<tr class="heading_row">
			<td><span><a href="<?php echo $this->Html->safe($this->base_uri . 'extension_info/index/?sort=id_code&order=' . ($sort == 'id_code' ? $negate_order : $order));?>" class="ajax<?php echo $this->Html->safe($sort == 'id_code' ? ' ' . $order : '');?>"><?php $this->_('AdminClients.index.heading_client');?></a></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_name');?></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_email');?></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_extension_name');?></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_version');?></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_url');?></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_ip');?></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_license_code');?></span></td>
			<td><span><?php $this->_('AdminMain.index.heading_created_at');?></span></td>
		</tr>
		<?php
		// Display all clients
		for ($i = 0; $i < $num_clients; $i++) {
			?>
			<tr<?php echo ($i % 2 == 1) ? ' class="odd_row"' : '';?>>
				<td><a href="<?php echo $this->base_uri . 'clients/view/' . $this->Html->_($infos[$i]->client_id, true) . '/';?>"><?php echo $this->Html->_($clients[$i]->client_id_code, true);?></a></td>
				<td><?php echo $this->Html->_($clients[$i]->first_name, true) . ' ' . $this->Html->_($clients[$i]->last_name, true);?></td>
				<td><a href="mailto:<?php $this->Html->_($clients[$i]->email);?>"><?php $this->Html->_($clients[$i]->email);?></a></td>
				<td><?php $this->Html->_($clients[$i]->extension_name);?></td>
				<td><?php $this->Html->_($clients[$i]->version);?></td>
				<td><?php $this->Html->_($clients[$i]->installation_url);?></td>
				<td><?php $this->Html->_($clients[$i]->ip_address);?></td>
				<td><?php $this->Html->_($clients[$i]->license_code);?></td>
				<td><?php $this->Html->_($clients[$i]->created_at);?></td>
			</tr>
			<?php
		}
		?>
	</table>
	<?php
	$this->Pagination->build();
} else {
	?>
	<div class="empty_section">
		<div class="empty_box">
			<?php $this->_('AdminMain.index.no_results');?>
		</div>
	</div>
	<?php
}

$this->Widget->end();
?>