<?php
require_once "blesta_api.php";

session_start();
//production
//$user = "admin";
//$key = "b01bbe3f522b46a1f41eb1c6ac77c4be";
//$url = "https://abantecartplus.com/clientarea/api/";

//development
$user = "handoyo";
$key = "31836ae69f6fff49d0dbe55bcdffb432";
$url = "https://abdev7.com/development/api/";

$client_id = $_SESSION['client_id'];
$client_id_code = $_SESSION['client_id_code'];
$email = $_SESSION['email'];

$api = new BlestaApi($url, $user, $key);
$license = '';

$data['invoice'] = $_POST['invoice'];
$data['domain_name'] = $_POST['domain'];
$data['version'] = str_replace('-','.',$_POST['version']);
$search = array("https://", "http://");
$replace = array("", "");
$data['extension_name'] = $_POST['products'];
$data['domain_name'] = str_replace($search, $replace, $data['domain_name']);
$domains = explode('/', $data['domain_name']);
$data['domain_name'] = $domains[0];
$data['ip'] = gethostbyname($domains[0]);
$timezoneInfo = $api->get("companies", "getSetting", array(
    'company_id' => 1,
    'key' => 'timezone'
));

$getTimeZoneResult = $timezoneInfo->response();
$getTimeZoneErr = $timezoneInfo->errors();

$timezone = $getTimeZoneResult->value;

$server_timezone = date_default_timezone_get();

$data['server_timezone'] = $server_timezone;
$data['blesta_timezone'] = $timezone;

$renewal_date = '';
$query = $api->get("packages", "search", array(
    'query' => $data['extension_name']
));
$queryResult = $query->response();
$queryErr = $query->errors();

if (!$queryErr) {
    $package_name = $package_id = $support_package_name = $support_package_id = '';
    foreach ($queryResult as $packageResult) {
        if (stripos($packageResult->name, ' Development') !== false || stripos($packageResult->name, 'Rent ') !== false || stripos($packageResult->name, 'Additional ') !== false) {
            continue;
        }
        //if (stripos($packageResult->name, ' Support And Updates Service') !== false) {
        //    $support_package_name = $packageResult->name;
        //    $support_package_id = $packageResult->id;
        //} else {
            $package_name = $packageResult->name;
            $package_id = $packageResult->id;
        //}
    }

    $responseInfo = $api->get("packages", "get", array(
        'package_id' => $package_id
    ));

    $infoResult = $responseInfo->response();
    $infoErr = $responseInfo->errors();
    $pricing_id = $infoResult->pricing[0]->id;

    $addLicenseProductData = array(
        'vars' => array(
            'pricing_id' => $pricing_id,
            'client_id' => $client_id,
            'override_price ' => 0,
            'status' => 'active',
            'use_module' => 'true',
        ),
        'packages' => array($package_id => $pricing_id)
    );

    $responseAddService = $api->post('services', 'add', $addLicenseProductData);
    $addServiceResult = $responseAddService->response();
    $addServiceErr = $responseAddService->errors();
    $service_id = $addServiceResult;
    if ($service_id) {
        $getRenewalDate = $api->get("services", "get", array(
            'service_id' => $service_id
        ));

        $getRenewalDateResult = $getRenewalDate->response();
        $getRenewalDateErr = $getRenewalDate->errors();

        $fields = $getRenewalDateResult->fields;

        foreach ($fields as $field) {
            if ($field->key !== 'license_module_key') {
                continue;
            }
            $license = $field->value;
        }

        $created_time = new DateTime($getRenewalDateResult->date_added, new DateTimeZone($server_timezone));
        $created_time->setTimezone(new DateTimeZone($timezone));
        $created_at = $created_time->format('Y-m-d H:i:s');
        $created_date = $created_time->format('M d, Y');

        if (!is_null($getRenewalDateResult->date_renews)) {
            $renewal_time = new DateTime($getRenewalDateResult->date_renews, new DateTimeZone($server_timezone));
            $renewal_time->setTimezone(new DateTimeZone($timezone));
            $renewal_at = $renewal_time->format('Y-m-d H:i:s');
            $renewal_date = $renewal_time->format('M d, Y');
            $support_date = $renewal_time->format('Y-m-d');
        } else {
            $renewal_time = '';
        }

        $response2 = $api->post("license_keys.license_keys_list", "create", array(
            'vars' => array(
                'client_id' => $client_id,
                'client_id_code' => $client_id_code,
                'extension_name' => $data['extension_name'],
                'version' => $data['version'],
                'installation_url' => $data['domain_name'],
                'ip_address' => $data['ip'],
                'license_code' => '',
                'blesta_license_code' => $license,
                'subscribed' => 'Yes',
                'created_at' => $created_at,
                'renewal_date' => $renewal_at !== '' ? $renewal_at : null,
                'license_id' => 0,
                'service_id' => $service_id,
                'support_service_id' => 0,
                'support_service_status' => 'Active',
            )
        ));

        $result2 = $response2->response();
        $err2 = $response2->errors();
        if ($err2) {
            $admTo = 'yonghan79@gmail.com';
            $admSubject = "Error during saving license detail to Blesta";
            $admHeaders = "From: Support Departement <support@abdev7.com>" . "\r\n";
            $admHeaders .= "Reply-To: support@wehearyou2.com" . "\r\n";
            $admHeaders .= "Return-Path: support@wehearyou2.com " . "\r\n";
            $admHeaders .= "MIME-Version: 1.0" . "\r\n";
            $admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
            mail($admTo, $admSubject, var_export($err2, true), $admHeaders);
        }
        
        $createNote = $api->post("clients", "addNote", array(
            'client_id' => $client_id,
            'staff_id' => '',
            'vars' => array(
                'title' => $data['extension_name'] . ' license code is: ' . $license . ' and the URL is: ' . $_POST['domain'],
                'description' => "License code is: " . $license . ".\r\nURL is: " . $_POST['domain'],
                'stickied' => '1'
            )
        ));

        $resultNote = $createNote->response();
        $errNote = $createNote->errors();

        $product_name = $data['extension_name'];
        $html = '
			  <strong>IMPORTANT NOTE: We have sent you an email that contains the extension name, license code and the support expiration date. Please retain that email for your records. For immediate use in your extension you can copy the license code that is shown below. <br><br>
			   Your license code is: <br><br>'
            . $license . '<br><br>
			   Extension name: <br><br>' . $product_name . '<br>';
        $html .= '</strong>';
        echo $html;
    } else {
        echo 'The license cannot be issued! Please try again later.';
        $admTo = 'yonghan79@gmail.com';
        $admSubject = "Error during generating license code";
        $admHeaders = "From: Support Departement <support@abdev7.com>" . "\r\n";
        $admHeaders .= "Reply-To: support@abdev7.com" . "\r\n";
        $admHeaders .= "Return-Path: support@abdev7.com " . "\r\n";
        $admHeaders .= "MIME-Version: 1.0" . "\r\n";
        $admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
        mail($admTo, $admSubject, var_export($addServiceErr, true) . '<br>Domain name: ' . $data['domain_name'], $admHeaders);
    }
}
