<?php

require_once "blesta_api.php";
require_once "lib/php-serial.class.php";

//production
$user = "admin";
$key = "b01bbe3f522b46a1f41eb1c6ac77c4be";
$url = "https://abantecartplus.com/clientarea/api/";

$api  = new BlestaApi( $url, $user, $key );

$data = array();
if ( isset( $_POST ) ) {
	$data['username']       = $_POST['username'];
	$data['fname']          = $_POST['fname'];
	$data['lname']          = $_POST['lname'];
	$data['email']          = $_POST['email'];
	$data['password']       = $_POST['password'];
	$data['npassword']      = $_POST['npassword'];
	$data['email']          = $_POST['email'];
	$data['invoice']        = $_POST['invoice'];
	$data['product_id']     = $_POST['products'];
	$data['domain_name']    = $_POST['domain'];
	$search                 = array( "https://", "http://" );
	$replace                = array( "", "" );
	$data['domain_name']    = str_replace( $search, $replace, $data['domain_name'] );
	$domains                = explode( '/', $data['domain_name'] );
	$data['ip']             = gethostbyname( $domains[0] );
	$data['version']        = str_replace( '-', '.', $_POST['version'] );
	$data['extension_name'] = getExtensionNameByProductId( $_POST['products'] );
	$exist                  = exist( $data );

	if ( $exist ) {
		echo 'There is already an associated license key with the product in domain ' . $_POST['domain'] . '.';
	} else {
		$group = 'Extension Customers';

		$response = $api->post( "clients", "create", array(
			'vars' => array(
				'username'                => $data['username'],
				'new_password'            => $data['password'],
				'confirm_password'        => $data['npassword'],
				'client_group_id'         => '1',
				'status'                  => 'active',
				'first_name'              => $data['fname'],
				'last_name'               => $data['lname'],
				'email'                   => $data['email'],
				'settings'                => array(
					'default_currency' => 'USD',
					'language'         => 'en_us',
					'username_type'    => 'username',
					'tax_id'           => '',
					'tax_exempt'       => '',
				),
				'send_registration_email' => 'false'
			)
		) );

		$result = $response->response();
		$err    = $response->errors();
		//echo '<pre>';
		if ( $err ) {
			echo $data['username'] . ' is taken. Please choose another username.';
			$admTo      = 'yonghan79@gmail.com';
			$admSubject = "Error";
			$admHeaders = "From: Support Departement <support@wehearyou2.com>" . "\r\n";
			$admHeaders .= "Reply-To: support@wehearyou2.com" . "\r\n";
			$admHeaders .= "Return-Path: support@wehearyou2.com " . "\r\n";
			$admHeaders .= "MIME-Version: 1.0" . "\r\n";
			$admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
			//mail( $admTo, $admSubject, var_export( $err, true ), $admHeaders );
		} else {
			$license              = Serial::newSerial( 4, 5, '-' );
			$data['license_code'] = 'MC-'.$license;
			$data['invoice']      = $_POST['invoice'];
			$data['product_id']   = $_POST['products'];
			$issue                = issueLicense( $data );

			registerCustomer( $data );
			if ( $issue['api_action_success'] === 1 && $issue['error_detected'] === 0 ) {
				$html = '
			   You are registered.<br><br>
			  <strong>IMPORTANT NOTE: Due to the sensitivity of this information, the License code is ONLY provided here.<br><br>
			   Make a copy and retain for your records.<br><br>
			   Your license code is: <br><br>'
				        . $license . '</strong>';
				echo $html;

				$clientId     = $result->id;
				$clientIdCode = $result->id_code;
				$response2    = $api->post( "license_keys.license_keys_list", "create", array(
					'vars' => array(
						'first_name'       => $data['fname'],
						'last_name'        => $data['lname'],
						'email'            => $data['email'],
						'client_id'        => $clientId,
						'client_id_code'   => $clientIdCode,
						'extension_name'   => $data['extension_name'],
						'version'          => $data['version'],
						'installation_url' => $data['domain_name'],
						'ip_address'       => $data['ip'],
						'license_code'     => $license,
						'created_at'       => date( "Y-m-d h:m:s" )
					)
				) );

				$result2 = $response2->response();
				$err2    = $response2->errors();
				if ( $err2 ) {
					$admTo      = 'yonghan79@gmail.com';
					$admSubject = "Error during saving license detail to Blesta";
					$admHeaders = "From: Support Departement <support@wehearyou2.com>" . "\r\n";
					$admHeaders .= "Reply-To: support@wehearyou2.com" . "\r\n";
					$admHeaders .= "Return-Path: support@wehearyou2.com " . "\r\n";
					$admHeaders .= "MIME-Version: 1.0" . "\r\n";
					$admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
					mail( $admTo, $admSubject, var_export( $err2, true ), $admHeaders );
				}
			} else {
				echo 'The license cannot be issued! Please try again later.';
				$admTo      = 'yonghan79@gmail.com';
				$admSubject = "Error during generating license code";
				$admHeaders = "From: Support Departement <support@wehearyou2.com>" . "\r\n";
				$admHeaders .= "Reply-To: support@wehearyou2.com" . "\r\n";
				$admHeaders .= "Return-Path: support@wehearyou2.com " . "\r\n";
				$admHeaders .= "MIME-Version: 1.0" . "\r\n";
				$admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
				mail( $admTo, $admSubject, var_export( $issue, true ), $admHeaders );
			}

			$admTo      = 'yonghan79@gmail.com' . ', ';
			$admTo      .= 'lee@kenpierce.net';
			$admSubject = "New User registered";
			$admHeaders = "From: Support Departement <support@wehearyou2.com>" . "\r\n";
			$admHeaders .= "Reply-To: support@wehearyou2.com" . "\r\n";
			$admHeaders .= "Return-Path: support@wehearyou2.com " . "\r\n";
			$admHeaders .= "MIME-Version: 1.0" . "\r\n";
			$admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
			$admMessage = "<p>Hi admin,
                <br/> A new extension purchaser has registered in your support system with the following detail: <br/>
                Invoice Number: " . $_POST['invoice'] . "<br/>
	            Username: " . $data['username'] . "<br/>
                Email address: " . $data['email'] . "<br/>
                First name: " . $data['fname'] . "<br/>
                Last name: " . $data['lname'] . "<br/>
                Customer Group: " . $group . "<br>
                Extension Name: " . getExtensionNameByProductId( $data['product_id'] ) . "<br>
                Extension Version: " . $data['version'];

			$subject = "You are registered!";
			$headers = "From: Support Departement <support@wehearyou2.com>" . "\r\n";
			$headers .= "Reply-To: support@wehearyou2.com" . "\r\n";
			$headers .= "Return-Path: support@wehearyou2.com " . "\r\n";
			$headers .= "MIME-Version: 1.0" . "\r\n";
			$headers .= "Content-Type: text/html; charset=utf-8" . "\r\n";

			$message = "<p>Hi " . $data['fname'] . ' ' . $data['lname'] . "!<br />
	<br />Thank you for registering with us. Your new account has been set up and you may login to our client support area with the details below.<br />
	<br />Login at.. <a href='https://wehearyou2.com/clientarea/login/' target='_blank'>https://wehearyou2.com/clientarea/login/</a> with..<br />
	<br />Username: " . $data['username'] . " <br />
	Password: (Use the password you signed up with) <br /><br />Thank you for choosing us.<br/>
	The support is provided from our centralized Support Team at We Hear You 2, Inc</p>";
			//checking if the email has been sent
			if ( mail( $data['email'], $subject, html_entity_decode( $message ), $headers ) ) {
				//echo "You are registered.";
				mail( $admTo, $admSubject, html_entity_decode( $admMessage ), $admHeaders );
			} else {
				echo "There is an error during register.";
			}
		}
	}
}

function issueLicense( $data ) {
	$url = 'https://wehearyou2.net/licensing/apl_api/api.php';

	$client = 'api_key_secret=r97r6sOBFslBCpQJ&api_function=licenses_add&product_id=' . $data['product_id'] .
	          '&license_code=' . $data['license_code'] . '&license_require_domain=1
	          &license_status=1&license_domain=' . $data['domain_name'] .
	          '&license_order_number=' . $data['invoice'] . '&license_limit=1';
	$curl   = curl_init();
	curl_setopt_array( $curl, array(
		CURLOPT_URL            => $url,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING       => "",
		CURLOPT_MAXREDIRS      => 10,
		CURLOPT_TIMEOUT        => 3000,
		CURLOPT_HTTP_VERSION   => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST  => "POST",
		CURLOPT_POSTFIELDS     => $client,
		CURLOPT_HTTPHEADER     => array(
			"accept: application/x-www-form-urlencoded",
			"cache-control: no-cache",
			"content-type: application/x-www-form-urlencoded"
		),
		CURLOPT_VERBOSE        => 0,
	) );
	$response = json_decode( curl_exec( $curl ), true );
	$err      = curl_error( $curl );
	curl_close( $curl );

	return $response;
}

function registerCustomer( $data ) {
	$url = 'https://wehearyou2.net/licensing/apl_api/api.php';

	$client = 'api_key_secret=r97r6sOBFslBCpQJ&api_function=clients_add
			  &client_fname=' . $data['fname'] . '&client_lname=' . $data['lname']
	          . '&client_email=' . $data['email'] . '&client_status=1';

	$curl = curl_init();
	curl_setopt_array( $curl, array(
		CURLOPT_URL            => $url,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING       => "",
		CURLOPT_MAXREDIRS      => 10,
		CURLOPT_TIMEOUT        => 3000,
		CURLOPT_HTTP_VERSION   => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST  => "POST",
		CURLOPT_POSTFIELDS     => $client,
		CURLOPT_HTTPHEADER     => array(
			"accept: application/x-www-form-urlencoded",
			"cache-control: no-cache",
			"content-type: application/x-www-form-urlencoded"
		),
		CURLOPT_VERBOSE        => 0,
	) );
	$response = json_decode( curl_exec( $curl ), true );
	$err      = curl_error( $curl );
	curl_close( $curl );
	$message = $response['page_message'];
	if ( strpos( 'added', $message ) !== false ) {
		return true;
	} else {
		return false;
	}
}

function exist( $data ) {
	$url    = 'https://wehearyou2.net/licensing/apl_api/api.php';
	$client = 'api_key_secret=r97r6sOBFslBCpQJ&api_function=search&search_type=installation&search_keyword=' . $data['domain_name'];

	$curl = curl_init();
	curl_setopt_array( $curl, array(
		CURLOPT_URL            => $url,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING       => "",
		CURLOPT_MAXREDIRS      => 10,
		CURLOPT_TIMEOUT        => 3000,
		CURLOPT_HTTP_VERSION   => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST  => "POST",
		CURLOPT_POSTFIELDS     => $client,
		CURLOPT_HTTPHEADER     => array(
			"accept: application/x-www-form-urlencoded",
			"cache-control: no-cache",
			"content-type: application/x-www-form-urlencoded"
		),
		CURLOPT_VERBOSE        => 0,
	) );
	$response = json_decode( curl_exec( $curl ), true );
	$err      = curl_error( $curl );
	curl_close( $curl );

	$installed = false;
	if ( isset( $response['page_message']['error'] ) ) {
		return false;
	} else {
		$message = $response['page_message'];
		if ( sizeof( $message ) > 1 ) {
			foreach ( $message as $msg ) {
				if ( $msg['installation_domain'] === $data['domain_name'] && $msg['product_id'] === $data['product_id'] ) {
					return true;
					continue;
				}
			}
		} elseif ( $message[0]['installation_domain'] === $data['domain_name'] && (int) $message[0]['product_id'] === (int) $data['product_id'] ) {
			return true;
		}
	}
}

function getExtensionNameByProductId( $id ) {
	switch ( $id ) {
		case "1":
			$product_name = 'AddThis';
			break;
		case "2":
			$product_name = 'Advanced reports';
			break;
		case "3":
			$product_name = 'AusPost integration';
			break;
		case "5":
			$product_name = 'Calendar';
			break;
		case "6":
			$product_name = 'CanadaPost integration';
			break;
		case "7":
			$product_name = 'Constant contact integration';
			break;
		case "8":
			$product_name = 'Email editor';
			break;
		case "4":
			$product_name = 'Enhanced AIM';
			break;
		case "9":
			$product_name = 'Enhanced editor';
			break;
		case "11" :
			$product_name = 'Enhanced flat rate';
			break;
		case "10" :
			$product_name = 'FedEx integration';
			break;
		case "12" :
			$product_name = 'HonestGreen import addon';
			break;
		case "13" :
			$product_name = 'HonestGreen orders management addon';
			break;
		case "14" :
			$product_name = 'MailChimp integration';
			break;
		case "15" :
			$product_name = 'MailChimp plus integration';
			break;
		case "16" :
			$product_name = 'Multiple price changer';
			break;
		case "17" :
			$product_name = 'Option price lite';
			break;
		case "18" :
			$product_name = 'Option price pro';
			break;
		case "20" :
			$product_name = 'Option price link pro';
			break;
		case "21" :
			$product_name = 'Product as option';
			break;
		case "22" :
			$product_name = 'Purolator integration';
			break;
		case "23" :
			$product_name = 'Pricing calculator';
			break;
		case "24" :
			$product_name = 'Quick checkout';
			break;
		case "25" :
			$product_name = 'Quick view';
			break;
		case "47" :
			$product_name = 'Reorder';
			break;
		case "26" :
			$product_name = 'Sales by state report';
			break;
		case "27" :
			$product_name = 'Special shipping with images';
			break;
		case "28" :
			$product_name = 'TaxJar integration';
			break;
		case "29" :
			$product_name = 'Telephone option';
			break;
		case "30" :
			$product_name = 'Total import';
			break;
		case "35" :
			$product_name = 'Track shipments';
			break;
		case "31" :
			$product_name = 'UPS integration';
			break;
		case "32" :
			$product_name = 'UPS integration plus';
			break;
		case "33" :
			$product_name = 'USPS integration';
			break;
		case "34" :
			$product_name = 'VAT/Tax Id option';
			break;
		case "48" :
			$product_name = 'Banner Statistic Manager';
			break;
		case "49" :
			$product_name = 'Brands Info';
			break;
		case "46" :
			$product_name = 'Build A Gift';
			break;
		case "36" :
			$product_name = 'Cost plus changer';
			break;
		case "35" :
			$product_name = 'EasyAppointment Integration';
			break;
	}

	return $product_name;
}