<?php
require_once "blesta_api.php";
$user = "handoyo";
$key  = "31836ae69f6fff49d0dbe55bcdffb432";
$url  = "https://abdev7.com/development/api/";

$api = new BlestaApi( $url, $user, $key );

$packagesInfo = $api->get("packages","getAll",array(
        'company_id' => '1'
));

$extension_name ='';

if ($_GET['extension_name']!=='') {
    $extension_name = $_GET['extension_name'];
}

$packagesInfoResult = $packagesInfo->response();
$packagesInfoErrorResult = $packagesInfo->errors();
if ($packagesInfoResult) {
    $packages = json_decode(json_encode($packagesInfoResult),true);
    $options = '';
    foreach ($packages as $package) {
        if (stripos($package['name'], ' Development') !== false || stripos($package['name'], 'Rent ') !== false || stripos($package['name'], 'Additional ') !== false || stripos($package['name'], ' Support And Updates Service') !== false) {
            continue;
        }

        if ($package['name']=='USPS Integration') {
            $ext_name = 'US Postal Service Integration';
        } else {
            $ext_name = $package['name'];
        }

        if ($package['name']===$extension_name && $extension_name!=='') {
            $selected = 'selected';
        } else {
            $selected = '';
        }

        $options.= '<option value="'.$package['name'].'" '.$selected.'>'.$ext_name.'</option>';
    }
}
?>

<!DOCTYPE html>
<html lang="en">

<head>

	<meta charset="utf-8">
	<title>Extension Support Registration Form</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

    <!-- CSS -->
    <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=PT+Sans:400,700'>
    <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Oleo+Script:400,700'>
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/select2.min.css">
    <link rel="shortcut icon" href="assets/img/favicon.ico">
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

</head>

<body>

<div class="header">
	<div class="container">
		<div class="row">
			<div class="logo span4">
				<img src="assets/img/logo.png" alt="">
			</div>
			<h1>Extension Support Registration Form</h1>
		</div>
	</div>
</div>

<div class="register-container container">
    <div class="row">
        <div class="register span5">
            <div class="notification">
                <strong style="font-size: 24px;">Already registered for Extension Support?  You only need 1 support account. Log in <a href="https://wehearyou2.com/clientarea/reg/" target="_blank"><strong>here</strong></a> to obtain other extensions license code.</strong><br><br>
                <strong>Important Notes:<br>
                    1. MarketPlace Order ID:<a href="assets/img/order-id.png">
                        <img src="assets/img/order-id.png">
                    </a><br>
                    2. Location where installed examples:<br>
                    - If in root e.g. yourdomain.com NOT yourdomain.com/<br>
                    - If in subfolder e.g.  yourdomain.com/abantecart NOT yourdomain.com/abantecart/<br>
                    - NO leading http:// or https://<br>
                    - NO leading www.<br>
                    - NO trailing slash ( / ) at the end of your url.<br>
                    - DO NOT enter Your extension installation URL, but Your Store URL.<br>
                </strong>
			</div>
			<div id="msg" style="display: none"></div>
		</div>
		<div class="register span6">
			<form action="" method="post" id="register">
				<h2>Extension Support Registration Form</h2>
				<label for="invoice">Managed Client Name</label>
				<input type="text" id="invoice" name="invoice" placeholder="enter MC-client...">
                <label for="products">Select extension</label>
                <select id="products" name="products" style="width: 100%">
                <?php echo $options;?>
                </select>
                <label class="required" for="extension">Select extension version</label>
                <select id="version" name="version" style="width: 99%">
                    <option value="1-3-1-2">1.3.1.2</option>
                    <option value="1-3-1-1">1.3.1.1</option>
                    <option value="1-3-1">1.3.1</option>
                    <option value="1-3-0-2">1.3.0.2</option>
                    <option value="1-3-0-1">1.3.0.1</option>
                    <option value="1-3-0">1.3.0</option>
                    <option value="1-2-16-8">1.2.16.8</option>
                    <option value="1-2-16-7">1.2.16.7</option>
                    <option value="1-2-16-6">1.2.16.6</option>
                    <option value="1-2-16-5">1.2.16.5</option>
                    <option value="1-2-16-4">1.2.16.4</option>
                    <option value="1-2-16-3">1.2.16.3</option>
                    <option value="1-2-16-2">1.2.16.2</option>
                    <option value="1-2-16-1">1.2.16.1</option>
                    <option value="1-2-16">1.2.16</option>
                    <option value="1-2-15-9">1.2.15.9</option>
                    <option value="1-2-15-8">1.2.15.8</option>
                    <option value="1-2-15-7">1.2.15.7</option>
                    <option value="1-2-15-6">1.2.15.6</option>
                    <option value="1-2-15-4">1.2.15.5</option>
                    <option value="1-2-15-4">1.2.15.4</option>
                    <option value="1-2-15-3">1.2.15.3</option>
                    <option value="1-2-15-2">1.2.15.2</option>
                    <option value="1-2-15-1">1.2.15.1</option>
                    <option value="1-2-15">1.2.15</option>
                </select>
                <label class="required" for="domain">Location where installed</label>
                <input type="text" id="domain" name="domain" placeholder="enter without leading http:// or https:// and end trailing slash... i.e. abc.com/store">
                <div id="domain_error" style="display:none;color:red;font-style:italic"></div>
                <label class="required" for="email">Email</label>
                <input type="text" id="email" name="email" placeholder="enter your email...">
                <label class="required" for="firstname">First Name</label>
                <input type="text" id="firstname" name="fname" placeholder="enter your first name...">
                <label class="required" for="lastname">Last Name</label>
                <input type="text" id="lastname" name="lname" placeholder="enter your first name...">
                <label class="required" for="username">Username</label>
                <input type="text" id="username" name="username" placeholder="enter your username...">
                <label class="required" for="password">Password</label>
                <input type="password" id="password" name="password" placeholder="choose a password...">
                <label class="required" for="npassword">Confirm Password</label>
                <input type="password" id="npassword" name="npassword" placeholder="confirm your password...">
                <label for="company">Company</label>
                <input type="text" id="company" name="company" placeholder="enter your company...">
                <label for="country">Select country</label>
                <select id="country" name="country" style="width: 100%">
                </select>
                <input type="hidden" id="country_name" name="country_name">
                <label for="state">Select state</label>
                <select id="state" name="state" style="width: 100%">
                </select>
                <input type="hidden" id="state_name" name="state_name">
                <button id='btn' type="button">REGISTER</button>
            </form>
        </div>
    </div>

</div>

<div class="footer">
	The support is provided from our centralized Support Team at We Hear You 2, Inc.
</div>

<!-- Javascript -->
<script src="assets/js/jquery-1.8.2.min.js"></script>
<script src="assets/bootstrap/js/bootstrap.min.js"></script>
<script src="assets/js/jquery.validate.min.js"></script>
<script src="assets/js/scripts.js"></script>
<script src="assets/js/select2.min.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        getCountries();
        $('#products').select2();
        $('#version').select2();
        $('#products').one('select2:open', function(e) {
            $('input.select2-search__field').prop('placeholder', 'start typing or select by using the scrollbar');
        });
        $('#version').one('select2:open', function(e) {
            $('input.select2-search__field').prop('placeholder', 'start typing or select by using the scrollbar');
        });
    });
    $('#country').change(function (e) {
        var countryCode = $("#country option:selected").val();
        var countryName = $("#country option:selected").text();
        getStates(countryCode);
        $("#country_name").val(countryName);
    });

    $('#state').change(function (e) {
        var stateName = $('#state option:selected').html();
        $("#state_name").val(stateName);
    });

    function getCountries() {
        $.ajax({
            url: 'get_countries.php',
            type: 'get',
            dataType: 'html',
            cache: false,
            success: function (html) {
                $('#country').html(html);
                $('#country option[value=US]').attr('selected','selected');
                var countryName = $("#country option[value=US]").prop("selected", true).html();
                $("#country_name").val(countryName);
                getStates('US');
            }
        });
    }

    function getStates(countryCode) {
        $.ajax({
            url: 'get_states.php?country_code='+countryCode,
            type: 'get',
            dataType: 'html',
            cache: false,
            success: function (html) {
                $('#state').html(html);
                var stateName = $("#state option:eq(0)").prop("selected", true).html();
                $("#state_name").val(stateName);
            }
        });

    }
</script>
</body>
</html>